Bug 1434870 - plasma closed UNexpectedly during logout
Summary: plasma closed UNexpectedly during logout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-22 14:04 UTC by Henri
Modified: 2017-03-28 23:53 UTC (History)
5 users (show)

Fixed In Version: plasma-workspace-5.8.6-6.fc25 plasma-workspace-5.8.6-6.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-28 00:25:44 UTC
Type: Bug


Attachments (Terms of Use)
The downgrade that removed the problem (6.06 KB, text/plain)
2017-03-22 14:04 UTC, Henri
no flags Details
plasmashell-20170323-154530.kcrash.txt -- stack trace! (7.96 KB, text/plain)
2017-03-23 15:07 UTC, Henri
no flags Details
plasmashell-20170325-123622.kcrash.txt -- stack trace! (7.91 KB, text/plain)
2017-03-25 14:16 UTC, Henri
no flags Details

Description Henri 2017-03-22 14:04:23 UTC
Created attachment 1265408 [details]
The downgrade that removed the problem

Description of problem:
Several months ago I installed the KDE spin of Fedora-24. I upgrade regularly. Minor problems. However since my last upgrade, plasma "crashes" during logout; downgrading plasma-workspace-libs (and others) removes the problem.

Also reported in:
https://bugzilla.redhat.com/show_bug.cgi?id=1211075

Version-Release number of selected component (if applicable):
5.8.6 (vs 5.6.4)

How reproducible:
Always (at least in my case)

Steps to Reproduce:
1. login (gui)
2. logout
3.

Actual results:
"Session" does not close in an orderly manner; eventually the greeter shows again, but not after the appearance of an icon (in systray), telling me that "plasma closed UNexpectedly".

Expected results:
Log out; subsequently showing the greeter.

Additional info:
When I click the icon (systray), a small window (stack trace) appears, telling me that the crash occurred in NotificationsApplet::onScreenChanges(),
apparently present in file:
/usr/lib64/qt5/plugins/plasma/applets/plasma_applet_notifications.so.

Comment 1 Henri 2017-03-23 15:07:47 UTC
Created attachment 1265816 [details]
plasmashell-20170323-154530.kcrash.txt -- stack trace!

When plasma (plasmashell) crashes, an icon (in systray) appears. Clicking this icon, triggers a small window, in which a "stack trace" is shown. After several attempts, I managed to save the stack trace.

Comment 2 Rex Dieter 2017-03-23 15:28:03 UTC
Thanks, I think that helps.

I have pulled in an upstream fix and doing a new plasma-workspace build now, to available for testing soon.

Comment 4 Fedora Update System 2017-03-24 11:49:50 UTC
plasma-workspace-5.8.6-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec66f59858

Comment 5 Fedora Update System 2017-03-24 11:50:28 UTC
plasma-workspace-5.8.6-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-598bc8a1c3

Comment 6 Fedora Update System 2017-03-24 19:53:30 UTC
plasma-workspace-5.8.6-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-598bc8a1c3

Comment 7 Fedora Update System 2017-03-24 20:25:00 UTC
plasma-workspace-5.8.6-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec66f59858

Comment 8 Henri 2017-03-25 14:16:15 UTC
Created attachment 1266379 [details]
plasmashell-20170325-123622.kcrash.txt -- stack trace!

Re: comment 5: No improvement (at best). After several attempts, I again managed to save a stack trace. After these attempts, the output of "ps" shows multiple "/usr/bin/plasmashell --shut-up" with stat column indicating "Tl" (i.e. trace).

Comment 9 Fedora Update System 2017-03-26 01:24:00 UTC
plasma-workspace-5.8.6-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-598bc8a1c3

Comment 10 Fedora Update System 2017-03-26 02:39:01 UTC
plasma-workspace-5.8.6-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec66f59858

Comment 11 Henri 2017-03-26 13:48:16 UTC
(In reply to Fedora Update System from comment #9)
> plasma-workspace-5.8.6-6.fc24 has been pushed to the Fedora 24 testing
> repository. If problems still persist, please make note of it in this bug
> report.
> See https://fedoraproject.org/wiki/QA:Updates_Testing for
> instructions on how to install test updates.
> You can provide feedback for this update here:
> https://bodhi.fedoraproject.org/updates/FEDORA-2017-598bc8a1c3

Rebuild (?) 5.8.6-6 appears to have fixed the problem (5.8.6-5 did not!). As
far as I can tell, there must be a difference between the two ...

Anyway, Rex thanks for your help/intervention!
--

Comment 12 Fedora Update System 2017-03-28 00:25:44 UTC
plasma-workspace-5.8.6-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-03-28 23:53:10 UTC
plasma-workspace-5.8.6-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.